> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Iniciar login Google (OAuth)

> Redireciona para o Google. Após consentimento, retorna a `/v1/auth/google/callback`.



## OpenAPI

````yaml https://api.nuvia.ai/api/docs/user-json get /v1/auth/google
openapi: 3.0.0
info:
  title: Nuvia API - Empresa
  description: Documentação da API para empresas
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: auth
    description: Autenticação
paths:
  /v1/auth/google:
    get:
      tags:
        - auth
      summary: Iniciar login Google (OAuth)
      description: >-
        Redireciona para o Google. Após consentimento, retorna a
        `/v1/auth/google/callback`.
      operationId: AuthController_googleOAuthStart
      parameters: []
      responses:
        '200':
          description: ''

````